<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method='html' version='1.0' encoding='UTF-8' indent='yes'/>
<!--Written by Aric Sanders 03/03/2016 Style sheet that maps one port xml sheets to html-->



<!-- Template for entries-->

<xsl:template match='/'>

<html>
        <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>One port measurement</title>

    <!-- Bootstrap -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet"/>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->


<style> h3 {color:black} </style>

        </head>

		<h3>Data Description:</h3>
        <button id="ToggleButtonDescription" type="button" class="btn btn-primary">Show Description</button>
    <br/><hr/>
		 <table id="DataDescription">
            <xsl:for-each select="//Data_Description/*">
            <xsl:if test=".!='' and name()!='Instrument_Description'">
            <tr><td><b><xsl:value-of select="name()"/> :</b> </td><td><xsl:value-of select="."/></td></tr>
            </xsl:if>

            <xsl:if test="name()='Instrument_Description'">
            <tr><th bgcolor='silver'><b><xsl:value-of select="name()"/></b></th><td><a><xsl:attribute name="href"> <xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></a></td></tr>
            </xsl:if> 
            </xsl:for-each>
         </table>
        <h3>Data:</h3>
        <button id="ToggleButton" type="button" class="btn btn-primary">Show Table</button><br/><hr/>
		<table class='table table-hover table-condensed table-bordered table-responsive' id="DataTable">
		    <tr>
            <xsl:for-each select="//Data/Tuple[1]/@*">
            
            <th ><b><xsl:value-of select="name()"/></b></th>
            
            </xsl:for-each>
            </tr>
            <xsl:for-each select="//Data/Tuple">
            <tr>
		    
            <xsl:for-each select="./@*">
         
                <td><xsl:value-of select="."/></td>
            
		    </xsl:for-each>
            </tr>
            </xsl:for-each>
		</table>
        <h3>Data Plot:</h3>
     <button id="ToggleButtonPlot" type="button" class="btn btn-primary">Show Plots</button><br/><hr/>
    <div id="plot" style="width: 480px; height: 400px;" class="plot">
        <!-- Plotly chart will be drawn inside this DIV --></div>
        <div id="error-plot" style="width: 480px; height: 400px;" class="plot">
        <!-- Plotly chart will be drawn inside this DIV --></div>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>

  <!--<script>-->
      <!--plot=document.getElementById('plot');-->
      <!--var trace1 = {-->
  <!--x:[<xsl:for-each select="//Data/Tuple/@Frequency">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--y:[<xsl:for-each select="//Data/Tuple/@Magnitude">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--line: {width: 0},-->
  <!--marker: {color: "444"},-->
  <!--mode: "lines",-->
  <!--name: "Lower Bound",-->
  <!--type: "scatter"-->
<!--};-->
<!--var trace2 = {-->
  <!--x:  [<xsl:for-each select="//Data/Tuple/@Frequency">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--y:  [<xsl:for-each select="//Data/Tuple/@Magnitude">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--fill: "tonexty",-->
  <!--fillcolor: "rgba(68, 68, 68, 0.3)",-->
  <!--line: {color: "rgb(31, 119, 180)"},-->
  <!--mode: "lines",-->
  <!--name: "Measurement",-->
  <!--type: "scatter"-->
<!--};-->
<!--var trace3 = {-->
  <!--x:  [<xsl:for-each select="//Data/Tuple/@Frequency">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--y:[<xsl:for-each select="//Data/Tuple/@uMg">-->
                <!--<xsl:value-of select="."/>,-->
            <!--</xsl:for-each>],-->
  <!--fill: "tonexty",-->
  <!--fillcolor: "rgba(68, 68, 68, 0.3)",-->
  <!--line: {width: 0},-->
  <!--marker: {color: "444"},-->
  <!--mode: "lines",-->
  <!--name: "Upper Bound",-->
  <!--type: "scatter"-->
<!--};-->
<!--var data = [trace1, trace2, trace3];-->
<!--var layout = {-->
  <!--showlegend: false,-->
  <!--title: "Continuous, variable value error bars-->
<!--Notice the hover text!",-->
  <!--yaxis: {title: "Wind speed (m/s)"}-->
<!--};-->

<!--Plotly.plot(plot, data, layout);-->

  <!--</script>-->
<script>
    plot = document.getElementById('plot');
	TESTER = document.getElementById('tester');
	Plotly.plot( plot, [{
	x:[<xsl:for-each select="//Data/Tuple/@Frequency"><xsl:value-of select="."/>,</xsl:for-each>],
	y: [<xsl:for-each select="//Data/Tuple"><xsl:value-of select="@uGg"/>,</xsl:for-each>],
    }],
    {
	margin: { t: 0 } } );

    errorplot = document.getElementById('error-plot');
    var trace1 = {
  x: ["2001-06-11 11:00", "2001-06-11 11:10", "2001-06-11 11:20", "2001-06-11 11:30", "2001-06-11 11:40", "2001-06-11 11:50", "2001-06-11 12:00", "2001-06-11 12:10", "2001-06-11 12:20", "2001-06-11 12:30", "2001-06-11 12:40", "2001-06-11 12:50", "2001-06-11 13:00", "2001-06-11 13:10", "2001-06-11 13:20", "2001-06-11 13:30", "2001-06-11 13:40", "2001-06-11 13:50", "2001-06-11 14:00", "2001-06-11 14:10", "2001-06-11 14:20", "2001-06-11 14:30", "2001-06-11 14:40", "2001-06-11 14:50", "2001-06-11 15:00", "2001-06-11 15:10", "2001-06-11 15:20", "2001-06-11 15:30", "2001-06-11 15:40", "2001-06-11 15:50", "2001-06-11 16:00", "2001-06-11 16:10", "2001-06-11 16:20", "2001-06-11 16:30", "2001-06-11 16:40", "2001-06-11 16:50", "2001-06-11 17:00", "2001-06-11 17:10", "2001-06-11 17:20", "2001-06-11 17:30", "2001-06-11 17:40", "2001-06-11 17:50", "2001-06-11 18:00", "2001-06-11 18:10", "2001-06-11 18:20", "2001-06-11 18:30", "2001-06-11 18:40", "2001-06-11 18:50", "2001-06-11 19:00", "2001-06-11 19:10", "2001-06-11 19:20", "2001-06-11 19:30", "2001-06-11 19:40", "2001-06-11 19:50", "2001-06-11 20:00", "2001-06-11 20:10", "2001-06-11 20:20", "2001-06-11 20:30", "2001-06-11 20:40", "2001-06-11 20:50", "2001-06-11 21:00", "2001-06-11 21:10", "2001-06-11 21:20", "2001-06-11 21:30", "2001-06-11 21:40", "2001-06-11 21:50", "2001-06-11 22:00", "2001-06-11 22:10", "2001-06-11 22:20", "2001-06-11 22:30", "2001-06-11 22:40", "2001-06-11 22:50", "2001-06-11 23:00", "2001-06-11 23:10", "2001-06-11 23:20", "2001-06-11 23:30", "2001-06-11 23:40", "2001-06-11 23:50", "2001-06-12 00:00", "2001-06-12 00:10", "2001-06-12 00:20", "2001-06-12 00:30", "2001-06-12 00:40", "2001-06-12 00:50", "2001-06-12 01:00", "2001-06-12 01:10", "2001-06-12 01:20", "2001-06-12 01:30", "2001-06-12 01:40", "2001-06-12 01:50", "2001-06-12 02:00", "2001-06-12 02:10", "2001-06-12 02:20", "2001-06-12 02:30", "2001-06-12 02:40", "2001-06-12 02:50", "2001-06-12 03:00", "2001-06-12 03:10", "2001-06-12 03:20", "2001-06-12 03:30", "2001-06-12 03:40", "2001-06-12 03:50", "2001-06-12 04:00", "2001-06-12 04:10", "2001-06-12 04:20", "2001-06-12 04:30", "2001-06-12 04:40", "2001-06-12 04:50", "2001-06-12 05:00", "2001-06-12 05:10", "2001-06-12 05:20", "2001-06-12 05:30", "2001-06-12 05:40", "2001-06-12 05:50", "2001-06-12 06:00", "2001-06-12 06:10", "2001-06-12 06:20", "2001-06-12 06:30", "2001-06-12 06:40", "2001-06-12 06:50", "2001-06-12 07:00", "2001-06-12 07:10", "2001-06-12 07:20", "2001-06-12 07:30", "2001-06-12 07:40", "2001-06-12 07:50", "2001-06-12 08:00", "2001-06-12 08:10", "2001-06-12 08:20", "2001-06-12 08:30", "2001-06-12 08:40", "2001-06-12 08:50", "2001-06-12 09:00", "2001-06-12 09:10", "2001-06-12 09:20", "2001-06-12 09:30", "2001-06-12 09:40", "2001-06-12 09:50", "2001-06-12 10:00", "2001-06-12 10:10", "2001-06-12 10:20", "2001-06-12 10:30", "2001-06-12 10:40", "2001-06-12 10:50", "2001-06-12 11:00", "2001-06-12 11:10", "2001-06-12 11:20", "2001-06-12 11:30", "2001-06-12 11:40", "2001-06-12 11:50", "2001-06-12 12:00", "2001-06-12 12:10", "2001-06-12 12:20", "2001-06-12 12:30", "2001-06-12 12:40", "2001-06-12 12:50", "2001-06-12 13:00", "2001-06-12 13:10", "2001-06-12 13:20", "2001-06-12 13:30", "2001-06-12 13:40", "2001-06-12 13:50", "2001-06-12 14:00", "2001-06-12 14:10", "2001-06-12 14:20", "2001-06-12 14:30", "2001-06-12 14:40", "2001-06-12 14:50", "2001-06-12 15:00", "2001-06-12 15:10", "2001-06-12 15:20", "2001-06-12 15:30", "2001-06-12 15:40", "2001-06-12 15:50", "2001-06-12 16:00", "2001-06-12 16:10", "2001-06-12 16:20", "2001-06-12 16:30", "2001-06-12 16:40", "2001-06-12 16:50", "2001-06-12 17:00", "2001-06-12 17:10", "2001-06-12 17:20", "2001-06-12 17:30", "2001-06-12 17:40", "2001-06-12 17:50", "2001-06-12 18:00", "2001-06-12 18:10", "2001-06-12 18:20", "2001-06-12 18:30", "2001-06-12 18:40", "2001-06-12 18:50", "2001-06-12 19:00", "2001-06-12 19:10", "2001-06-12 19:20", "2001-06-12 19:30", "2001-06-12 19:40", "2001-06-12 19:50", "2001-06-12 20:00", "2001-06-12 20:10", "2001-06-12 20:20", "2001-06-12 20:30", "2001-06-12 20:40", "2001-06-12 20:50", "2001-06-12 21:00", "2001-06-12 21:10", "2001-06-12 21:20", "2001-06-12 21:30", "2001-06-12 21:40", "2001-06-12 21:50", "2001-06-12 22:00", "2001-06-12 22:10", "2001-06-12 22:20", "2001-06-12 22:30", "2001-06-12 22:40", "2001-06-12 22:50", "2001-06-12 23:00", "2001-06-12 23:10", "2001-06-12 23:20", "2001-06-12 23:30", "2001-06-12 23:40"],
  y: [19.57, 21.02, 21.43, 19.97, 17.4, 22.9, 22.34, 22.13, 21.19, 16.14, 18.43, 19.84, 19.21, 19.7, 19.86, 18.71, 22.62, 23.76, 22.83, 23.13, 21.55, 22.03, 23.84, 24.17, 26.81, 21.08, 19.42, 17.54, 16.54, 15.28, 15.3, 14.72, 9.1, 13.98, 13.8, 13.91, 14.49, 15.01, 14.48, 13.86, 13.55, 14.88, 15.01, 16.57, 16.37, 12.27, 13.81, 14.36, 16.29, 14.08, 12.4, 11.51, 13.11, 13.17, 14.06, 15.24, 14.06, 14.03, 13.21, 15.95, 15.69, 16.58, 15.2, 14.08, 12.76, 13.42, 13.15, 13.63, 14.99, 11.69, 12.18, 10.75, 12.4, 12.22, 12.75, 12.11, 12.72, 13.81, 15.61, 14.07, 13.27, 13.44, 12.72, 13.76, 12.71, 13.17, 12.58, 13.01, 13.28, 13.11, 13.17, 12.81, 13.05, 13.32, 12.95, 13.45, 13.18, 12.08, 9.38, 10.14, 10.5, 10.48, 10.7, 10.44, 10.14, 7.59, 7.42, 8.48, 7.24, 6.29, 6.66, 6.88, 4.22, 3.83, 7.67, 7.37, 10.71, 13.13, 11.77, 12.92, 13.87, 16.34, 21.64, 15.51, 17.64, 10.56, 11.1, 25.88, 26.64, 27.58, 23.84, 22.78, 19.86, 12.59, 15.87, 10.18, 12.12, 10.91, 10.89, 7.87, 11.13, 13.63, 16.25, 16.16, 9.48, 14.45, 6.08, 0.77, 10.59, 12.41, 8.5, 12.27, 12.02, 10.29, 8.16, 10.74, 13.47, 16.92, 18.04, 18.05, 16.84, 17.07, 19.63, 19.61, 17.85, 19.4, 18.91, 19.65, 21.34, 20.95, 21.36, 23.21, 24.71, 23.36, 21.19, 19.91, 24.95, 25.48, 25.88, 23.97, 21.96, 23.36, 22.33, 22.64, 21.67, 24.64, 27.53, 28.42, 27.63, 26.1, 21.91, 22.76, 21.67, 21.35, 22.96, 22.75, 24.45, 25.31, 23.74, 24.18, 23.92, 24.19, 23.15, 22.94, 22.17, 22.69, 24.54, 24.69, 24.34, 24.98, 23.66, 23.67, 24.64, 21.76, 21.01, 20.01, 19.97, 19.06, 20.55, 19.62, 20.01],
  line: {width: 0},
  marker: {color: "444"},
  mode: "lines",
  name: "Lower Bound",
  type: "scatter"
};
var trace2 = {
  x: ["2001-06-11 11:00", "2001-06-11 11:10", "2001-06-11 11:20", "2001-06-11 11:30", "2001-06-11 11:40", "2001-06-11 11:50", "2001-06-11 12:00", "2001-06-11 12:10", "2001-06-11 12:20", "2001-06-11 12:30", "2001-06-11 12:40", "2001-06-11 12:50", "2001-06-11 13:00", "2001-06-11 13:10", "2001-06-11 13:20", "2001-06-11 13:30", "2001-06-11 13:40", "2001-06-11 13:50", "2001-06-11 14:00", "2001-06-11 14:10", "2001-06-11 14:20", "2001-06-11 14:30", "2001-06-11 14:40", "2001-06-11 14:50", "2001-06-11 15:00", "2001-06-11 15:10", "2001-06-11 15:20", "2001-06-11 15:30", "2001-06-11 15:40", "2001-06-11 15:50", "2001-06-11 16:00", "2001-06-11 16:10", "2001-06-11 16:20", "2001-06-11 16:30", "2001-06-11 16:40", "2001-06-11 16:50", "2001-06-11 17:00", "2001-06-11 17:10", "2001-06-11 17:20", "2001-06-11 17:30", "2001-06-11 17:40", "2001-06-11 17:50", "2001-06-11 18:00", "2001-06-11 18:10", "2001-06-11 18:20", "2001-06-11 18:30", "2001-06-11 18:40", "2001-06-11 18:50", "2001-06-11 19:00", "2001-06-11 19:10", "2001-06-11 19:20", "2001-06-11 19:30", "2001-06-11 19:40", "2001-06-11 19:50", "2001-06-11 20:00", "2001-06-11 20:10", "2001-06-11 20:20", "2001-06-11 20:30", "2001-06-11 20:40", "2001-06-11 20:50", "2001-06-11 21:00", "2001-06-11 21:10", "2001-06-11 21:20", "2001-06-11 21:30", "2001-06-11 21:40", "2001-06-11 21:50", "2001-06-11 22:00", "2001-06-11 22:10", "2001-06-11 22:20", "2001-06-11 22:30", "2001-06-11 22:40", "2001-06-11 22:50", "2001-06-11 23:00", "2001-06-11 23:10", "2001-06-11 23:20", "2001-06-11 23:30", "2001-06-11 23:40", "2001-06-11 23:50", "2001-06-12 00:00", "2001-06-12 00:10", "2001-06-12 00:20", "2001-06-12 00:30", "2001-06-12 00:40", "2001-06-12 00:50", "2001-06-12 01:00", "2001-06-12 01:10", "2001-06-12 01:20", "2001-06-12 01:30", "2001-06-12 01:40", "2001-06-12 01:50", "2001-06-12 02:00", "2001-06-12 02:10", "2001-06-12 02:20", "2001-06-12 02:30", "2001-06-12 02:40", "2001-06-12 02:50", "2001-06-12 03:00", "2001-06-12 03:10", "2001-06-12 03:20", "2001-06-12 03:30", "2001-06-12 03:40", "2001-06-12 03:50", "2001-06-12 04:00", "2001-06-12 04:10", "2001-06-12 04:20", "2001-06-12 04:30", "2001-06-12 04:40", "2001-06-12 04:50", "2001-06-12 05:00", "2001-06-12 05:10", "2001-06-12 05:20", "2001-06-12 05:30", "2001-06-12 05:40", "2001-06-12 05:50", "2001-06-12 06:00", "2001-06-12 06:10", "2001-06-12 06:20", "2001-06-12 06:30", "2001-06-12 06:40", "2001-06-12 06:50", "2001-06-12 07:00", "2001-06-12 07:10", "2001-06-12 07:20", "2001-06-12 07:30", "2001-06-12 07:40", "2001-06-12 07:50", "2001-06-12 08:00", "2001-06-12 08:10", "2001-06-12 08:20", "2001-06-12 08:30", "2001-06-12 08:40", "2001-06-12 08:50", "2001-06-12 09:00", "2001-06-12 09:10", "2001-06-12 09:20", "2001-06-12 09:30", "2001-06-12 09:40", "2001-06-12 09:50", "2001-06-12 10:00", "2001-06-12 10:10", "2001-06-12 10:20", "2001-06-12 10:30", "2001-06-12 10:40", "2001-06-12 10:50", "2001-06-12 11:00", "2001-06-12 11:10", "2001-06-12 11:20", "2001-06-12 11:30", "2001-06-12 11:40", "2001-06-12 11:50", "2001-06-12 12:00", "2001-06-12 12:10", "2001-06-12 12:20", "2001-06-12 12:30", "2001-06-12 12:40", "2001-06-12 12:50", "2001-06-12 13:00", "2001-06-12 13:10", "2001-06-12 13:20", "2001-06-12 13:30", "2001-06-12 13:40", "2001-06-12 13:50", "2001-06-12 14:00", "2001-06-12 14:10", "2001-06-12 14:20", "2001-06-12 14:30", "2001-06-12 14:40", "2001-06-12 14:50", "2001-06-12 15:00", "2001-06-12 15:10", "2001-06-12 15:20", "2001-06-12 15:30", "2001-06-12 15:40", "2001-06-12 15:50", "2001-06-12 16:00", "2001-06-12 16:10", "2001-06-12 16:20", "2001-06-12 16:30", "2001-06-12 16:40", "2001-06-12 16:50", "2001-06-12 17:00", "2001-06-12 17:10", "2001-06-12 17:20", "2001-06-12 17:30", "2001-06-12 17:40", "2001-06-12 17:50", "2001-06-12 18:00", "2001-06-12 18:10", "2001-06-12 18:20", "2001-06-12 18:30", "2001-06-12 18:40", "2001-06-12 18:50", "2001-06-12 19:00", "2001-06-12 19:10", "2001-06-12 19:20", "2001-06-12 19:30", "2001-06-12 19:40", "2001-06-12 19:50", "2001-06-12 20:00", "2001-06-12 20:10", "2001-06-12 20:20", "2001-06-12 20:30", "2001-06-12 20:40", "2001-06-12 20:50", "2001-06-12 21:00", "2001-06-12 21:10", "2001-06-12 21:20", "2001-06-12 21:30", "2001-06-12 21:40", "2001-06-12 21:50", "2001-06-12 22:00", "2001-06-12 22:10", "2001-06-12 22:20", "2001-06-12 22:30", "2001-06-12 22:40", "2001-06-12 22:50", "2001-06-12 23:00", "2001-06-12 23:10", "2001-06-12 23:20", "2001-06-12 23:30", "2001-06-12 23:40"],
  y: [22.3, 23.0, 23.3, 22.0, 20.5, 25.2, 24.8, 24.0, 22.9, 17.9, 20.3, 21.5, 21.3, 21.3, 21.3, 22.4, 25.4, 25.9, 25.5, 25.7, 23.9, 24.7, 26.3, 26.9, 29.0, 24.4, 21.4, 20.0, 18.3, 17.1, 17.6, 16.7, 11.4, 16.6, 16.1, 16.0, 17.0, 17.2, 17.1, 16.8, 16.6, 17.5, 17.1, 18.6, 18.4, 15.0, 16.0, 16.5, 18.7, 16.7, 14.7, 13.6, 16.0, 15.9, 16.2, 17.7, 16.2, 15.9, 15.4, 18.3, 18.1, 19.2, 17.5, 16.0, 14.9, 15.4, 14.7, 15.5, 17.4, 14.1, 14.0, 13.0, 14.7, 14.2, 15.0, 14.3, 14.7, 15.9, 17.7, 16.1, 15.3, 15.2, 14.7, 15.9, 14.8, 15.2, 14.5, 15.1, 15.2, 15.3, 15.2, 14.9, 15.4, 15.3, 14.5, 15.7, 15.0, 14.0, 11.3, 11.8, 12.1, 12.3, 12.3, 12.2, 11.8, 9.3, 8.7, 9.5, 8.9, 7.2, 8.0, 7.9, 5.5, 4.9, 8.9, 8.6, 12.1, 15.0, 13.8, 14.9, 15.9, 19.6, 24.9, 19.2, 21.7, 13.5, 17.2, 28.5, 29.9, 30.9, 27.8, 26.1, 23.6, 17.4, 18.6, 12.1, 14.9, 13.8, 13.3, 10.7, 12.2, 17.8, 17.8, 18.3, 11.3, 16.8, 8.7, 14.4, 12.3, 15.4, 10.0, 15.1, 14.8, 12.8, 9.6, 12.5, 15.5, 18.9, 19.8, 20.4, 19.3, 20.6, 22.3, 22.6, 21.0, 23.3, 21.9, 22.8, 24.6, 24.0, 25.0, 26.9, 28.4, 27.1, 24.4, 24.4, 28.8, 28.9, 28.5, 27.5, 24.9, 27.0, 25.7, 26.6, 25.2, 28.6, 32.5, 32.7, 30.2, 30.0, 24.9, 25.7, 24.5, 24.5, 26.7, 25.9, 27.5, 28.2, 26.2, 26.8, 26.7, 26.7, 25.5, 25.4, 24.9, 25.2, 27.8, 27.1, 26.8, 27.6, 26.6, 26.4, 27.1, 24.7, 23.1, 22.1, 22.0, 21.2, 22.9, 21.6, 22.2],
  fill: "tonexty",
  fillcolor: "rgba(68, 68, 68, 0.3)",
  line: {color: "rgb(31, 119, 180)"},
  mode: "lines",
  name: "Measurement",
  type: "scatter"
};
var trace3 = {
  x: ["2001-06-11 11:00", "2001-06-11 11:10", "2001-06-11 11:20", "2001-06-11 11:30", "2001-06-11 11:40", "2001-06-11 11:50", "2001-06-11 12:00", "2001-06-11 12:10", "2001-06-11 12:20", "2001-06-11 12:30", "2001-06-11 12:40", "2001-06-11 12:50", "2001-06-11 13:00", "2001-06-11 13:10", "2001-06-11 13:20", "2001-06-11 13:30", "2001-06-11 13:40", "2001-06-11 13:50", "2001-06-11 14:00", "2001-06-11 14:10", "2001-06-11 14:20", "2001-06-11 14:30", "2001-06-11 14:40", "2001-06-11 14:50", "2001-06-11 15:00", "2001-06-11 15:10", "2001-06-11 15:20", "2001-06-11 15:30", "2001-06-11 15:40", "2001-06-11 15:50", "2001-06-11 16:00", "2001-06-11 16:10", "2001-06-11 16:20", "2001-06-11 16:30", "2001-06-11 16:40", "2001-06-11 16:50", "2001-06-11 17:00", "2001-06-11 17:10", "2001-06-11 17:20", "2001-06-11 17:30", "2001-06-11 17:40", "2001-06-11 17:50", "2001-06-11 18:00", "2001-06-11 18:10", "2001-06-11 18:20", "2001-06-11 18:30", "2001-06-11 18:40", "2001-06-11 18:50", "2001-06-11 19:00", "2001-06-11 19:10", "2001-06-11 19:20", "2001-06-11 19:30", "2001-06-11 19:40", "2001-06-11 19:50", "2001-06-11 20:00", "2001-06-11 20:10", "2001-06-11 20:20", "2001-06-11 20:30", "2001-06-11 20:40", "2001-06-11 20:50", "2001-06-11 21:00", "2001-06-11 21:10", "2001-06-11 21:20", "2001-06-11 21:30", "2001-06-11 21:40", "2001-06-11 21:50", "2001-06-11 22:00", "2001-06-11 22:10", "2001-06-11 22:20", "2001-06-11 22:30", "2001-06-11 22:40", "2001-06-11 22:50", "2001-06-11 23:00", "2001-06-11 23:10", "2001-06-11 23:20", "2001-06-11 23:30", "2001-06-11 23:40", "2001-06-11 23:50", "2001-06-12 00:00", "2001-06-12 00:10", "2001-06-12 00:20", "2001-06-12 00:30", "2001-06-12 00:40", "2001-06-12 00:50", "2001-06-12 01:00", "2001-06-12 01:10", "2001-06-12 01:20", "2001-06-12 01:30", "2001-06-12 01:40", "2001-06-12 01:50", "2001-06-12 02:00", "2001-06-12 02:10", "2001-06-12 02:20", "2001-06-12 02:30", "2001-06-12 02:40", "2001-06-12 02:50", "2001-06-12 03:00", "2001-06-12 03:10", "2001-06-12 03:20", "2001-06-12 03:30", "2001-06-12 03:40", "2001-06-12 03:50", "2001-06-12 04:00", "2001-06-12 04:10", "2001-06-12 04:20", "2001-06-12 04:30", "2001-06-12 04:40", "2001-06-12 04:50", "2001-06-12 05:00", "2001-06-12 05:10", "2001-06-12 05:20", "2001-06-12 05:30", "2001-06-12 05:40", "2001-06-12 05:50", "2001-06-12 06:00", "2001-06-12 06:10", "2001-06-12 06:20", "2001-06-12 06:30", "2001-06-12 06:40", "2001-06-12 06:50", "2001-06-12 07:00", "2001-06-12 07:10", "2001-06-12 07:20", "2001-06-12 07:30", "2001-06-12 07:40", "2001-06-12 07:50", "2001-06-12 08:00", "2001-06-12 08:10", "2001-06-12 08:20", "2001-06-12 08:30", "2001-06-12 08:40", "2001-06-12 08:50", "2001-06-12 09:00", "2001-06-12 09:10", "2001-06-12 09:20", "2001-06-12 09:30", "2001-06-12 09:40", "2001-06-12 09:50", "2001-06-12 10:00", "2001-06-12 10:10", "2001-06-12 10:20", "2001-06-12 10:30", "2001-06-12 10:40", "2001-06-12 10:50", "2001-06-12 11:00", "2001-06-12 11:10", "2001-06-12 11:20", "2001-06-12 11:30", "2001-06-12 11:40", "2001-06-12 11:50", "2001-06-12 12:00", "2001-06-12 12:10", "2001-06-12 12:20", "2001-06-12 12:30", "2001-06-12 12:40", "2001-06-12 12:50", "2001-06-12 13:00", "2001-06-12 13:10", "2001-06-12 13:20", "2001-06-12 13:30", "2001-06-12 13:40", "2001-06-12 13:50", "2001-06-12 14:00", "2001-06-12 14:10", "2001-06-12 14:20", "2001-06-12 14:30", "2001-06-12 14:40", "2001-06-12 14:50", "2001-06-12 15:00", "2001-06-12 15:10", "2001-06-12 15:20", "2001-06-12 15:30", "2001-06-12 15:40", "2001-06-12 15:50", "2001-06-12 16:00", "2001-06-12 16:10", "2001-06-12 16:20", "2001-06-12 16:30", "2001-06-12 16:40", "2001-06-12 16:50", "2001-06-12 17:00", "2001-06-12 17:10", "2001-06-12 17:20", "2001-06-12 17:30", "2001-06-12 17:40", "2001-06-12 17:50", "2001-06-12 18:00", "2001-06-12 18:10", "2001-06-12 18:20", "2001-06-12 18:30", "2001-06-12 18:40", "2001-06-12 18:50", "2001-06-12 19:00", "2001-06-12 19:10", "2001-06-12 19:20", "2001-06-12 19:30", "2001-06-12 19:40", "2001-06-12 19:50", "2001-06-12 20:00", "2001-06-12 20:10", "2001-06-12 20:20", "2001-06-12 20:30", "2001-06-12 20:40", "2001-06-12 20:50", "2001-06-12 21:00", "2001-06-12 21:10", "2001-06-12 21:20", "2001-06-12 21:30", "2001-06-12 21:40", "2001-06-12 21:50", "2001-06-12 22:00", "2001-06-12 22:10", "2001-06-12 22:20", "2001-06-12 22:30", "2001-06-12 22:40", "2001-06-12 22:50", "2001-06-12 23:00", "2001-06-12 23:10", "2001-06-12 23:20", "2001-06-12 23:30", "2001-06-12 23:40"],
  y: [25.03, 24.98, 25.17, 24.03, 23.6, 27.5, 27.26, 25.87, 24.61, 19.66, 22.17, 23.16, 23.39, 22.9, 22.74, 26.09, 28.18, 28.04, 28.17, 28.27, 26.25, 27.37, 28.76, 29.63, 31.19, 27.72, 23.38, 22.46, 20.06, 18.92, 19.9, 18.68, 13.7, 19.22, 18.4, 18.09, 19.51, 19.39, 19.72, 19.74, 19.65, 20.12, 19.19, 20.63, 20.43, 17.73, 18.19, 18.64, 21.11, 19.32, 17.0, 15.69, 18.89, 18.63, 18.34, 20.16, 18.34, 17.77, 17.59, 20.65, 20.51, 21.82, 19.8, 17.92, 17.04, 17.38, 16.25, 17.37, 19.81, 16.51, 15.82, 15.25, 17.0, 16.18, 17.25, 16.49, 16.68, 17.99, 19.79, 18.13, 17.33, 16.96, 16.68, 18.04, 16.89, 17.23, 16.42, 17.19, 17.12, 17.49, 17.23, 16.99, 17.75, 17.28, 16.05, 17.95, 16.82, 15.92, 13.22, 13.46, 13.7, 14.12, 13.9, 13.96, 13.46, 11.01, 9.98, 10.52, 10.56, 8.11, 9.34, 8.92, 6.78, 5.97, 10.13, 9.83, 13.49, 16.87, 15.83, 16.88, 17.93, 22.86, 28.16, 22.89, 25.76, 16.44, 23.3, 31.12, 33.16, 34.22, 31.76, 29.42, 27.34, 22.21, 21.33, 14.02, 17.68, 16.69, 15.71, 13.53, 13.27, 21.97, 19.35, 20.44, 13.12, 19.15, 11.32, 28.03, 14.01, 18.39, 11.5, 17.93, 17.58, 15.31, 11.04, 14.26, 17.53, 20.88, 21.56, 22.75, 21.76, 24.13, 24.97, 25.59, 24.15, 27.2, 24.89, 25.95, 27.86, 27.05, 28.64, 30.59, 32.09, 30.84, 27.61, 28.89, 32.65, 32.32, 31.12, 31.03, 27.84, 30.64, 29.07, 30.56, 28.73, 32.56, 37.47, 36.98, 32.77, 33.9, 27.89, 28.64, 27.33, 27.65, 30.44, 29.05, 30.55, 31.09, 28.66, 29.42, 29.48, 29.21, 27.85, 27.86, 27.63, 27.71, 31.06, 29.51, 29.26, 30.22, 29.54, 29.13, 29.56, 27.64, 25.19, 24.19, 24.03, 23.34, 25.25, 23.58, 24.39],
  fill: "tonexty",
  fillcolor: "rgba(68, 68, 68, 0.3)",
  line: {width: 0},
  marker: {color: "444"},
  mode: "lines",
  name: "Upper Bound",
  type: "scatter"
};
var data = [trace1, trace2, trace3];
var layout = {
  showlegend: false,
  title: "Continuous, variable value error bars
Notice the hover text!",
  yaxis: {title: "Wind speed (m/s)"}
};
Plotly.plot(error-plot, data, layout);
	</script>
    <script>
$(document).ready(function(){
    $("#ToggleButton").click(function(){
        $("#DataTable").toggle();});
        $("#ToggleButtonDescription").click(function(){
        $("#DataDescription").toggle();});
        $("#ToggleButtonPlot").click(function(){
        $(".plot").toggle();});


});
</script>
</html>

    </xsl:template>
</xsl:stylesheet>
